#!/usr/bin/env python3.10
import json
import os
import sys

from .utils import *

my_name = "lucy_password"


def generate_default_config():
    install_path = find_module_path()
    default_config = {
        "clean_file_location": "passwords.txt",
        "encrypted_file_location": "passwords.enc",
        "demo_file_location": "passwords.demo",
    }

    with open(path(config_file_name), "w+") as f:
        json.dump(default_config, f, indent=4)


def modify_config():
    pass


def find_module_path():
    for p in sys.path:
        if os.path.isdir(p) and my_name in os.listdir(p):
            return os.path.join(p, my_name)


def setup_config():
    ensure_directories()
    generate_default_config()
    modify_config()



if __name__ == '__main__':
    setup_config()
